/* RaceGame Table
	Version:	0.1
*/
DROP TABLE IF EXISTS "RaceGame";

CREATE TABLE RaceGame (
	RaceID  INTEGER NOT NULL,
	GameID  INTEGER NOT NULL,
	PRIMARY KEY (RaceID, GameID),
	/* Foreign keys */
	FOREIGN KEY (RaceID)
		REFERENCES Races(RaceID)
		ON DELETE NO ACTION
		ON UPDATE NO ACTION, 
	FOREIGN KEY (GameID)
		REFERENCES Games(GameID)
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
	);